services:
  streamlit:
    build:
      context: .
      dockerfile: .devcontainer/Dockerfile

    ports:
      - "8515:8515"

    volumes:
      - .:/code

    environment:
      - GIT_PYTHON_REFRESH=quiet

    # Overrides default command so things don't shut down after the process ends.
    # Adjust to your needs
    command: streamlit run /code/src/main.py --server.port 8515 --server.address 0.0.0.0

volumes:
    bashhistory:

